// js.js 

//
// Provides functions:
//
// Header()                           - Draws a header with page title, drop down link menu and link buttons
// Footer()                           - Draws a footer with page stats url, last modified etc.
// Title(title)                       - writes title title
// Subtitle(subtitle)                 - write subtitle subtitle
// Subsubtitle(subsubtitle)           - writes subsubtitle subsubtitle
// Text(text)                         - writes text as a justified paragraph
// Picture(src,caption)               - outputs centred picture from src with caption caption
// DoublePicture(src1, src2, caption) - outputs pictures from src1 src2 with caption caption
// SpriteText(text)                   - writes text using a user defined font
//

//
/* INDEX */
//

var Index= 	"Climb%" +
		"Summits%"		+"../mountaineering/summits.html%"	+
		"Tantalus%"             +"../tantalus/tantalus.html%"           +
		"Bugaboos%"		+"../bugaboo/bugaboo.html%"		+
		"Rockies%"		+"../rockies/rockies.html%"		+
		"BC Coast%"		+"../bc/bc.html%"			+
		"Cascades%"		+"../cascades/cascades.html%"		+
		"Squamish%"		+"../squamish/squamish.html%"		+
		"Peaks%"		+"../peaks/peaks.html"			+
		"#Ski%"	+
		"Garibaldi Neve%"	+"../garibaldi/garibaldi.html%"		+
		"Columbia Icefield%"	+"../columbia/columbia.html%"		+
		"Mamquam%"		+"../mamquam/mamquam.html%"		+
		"Proverbs 24:10%"       +"../proverbs2410/proverbs2410.html"    +
		"#Bike%"	+
		"Spain %"	     	+ "../spain/spain.html%"                +
		"Scotland C2C%"     	+ "../scotland/scotland.html%"          +
		"Ireland%" 	 	+ "../ireland/ireland.html"		+
		"#Hike%"	+
		"Stein in a Hurry%"	+ "../stein/stein.html%"		+
		"West Coast Trail%"     + "../wct/wct.html%"                    +
		"Lakes%"		+ "../lakes/lakes.html%"		+
		"Wales%"		+ "../wales/wales.html"			+
		"#Travels%" +					
		"Peru%"                 + "../peru/peru.html%"                  +
		"Bolivia%"              + "../bolivia/bolivia.html%"            +
		"New Zealand%"          + "../nz/nz.html%"                      + 
		"Thailand%"             + "../thailand/thailand.html%"          +
		"Nepal%"                + "../nepal/nepal.html%"                +
		"Europe%"               + "../europe/europe.html%"              +
		"Hawaii%"               + "../hawaii/hawaii.html"               +
//		"#Computers%"	+
//		"Research%"	       	+ "../research/research.html%"    	+
//		"AutoStitch%"           + "../autostitch/autostitch.html%"      +
//		"Course Projects%"	+ "../projects/projects.html" 		+
//		"#Music%"                                                       +
//		"Jazz Records%"         + "../jazzrecords/jazzrecords.html"     + 
//		"#Useful%"                                                      +
//		"Calculator%"           + "../useful/calculator.html%"          +
//		"Notes%"                + "../notes/notes.html%"                +
//		"Brown Photos%"         + "../brownphotos/brownphotos.html%"    +
//		"Links%"                + "../links/links.html "                +
		+ "";
			
var Section   = Index.split("#");
var nSections = Section.length;

var sectionName  = new Array(nSections);
var pageName     = new Array(nSections);
var pageLocation = new Array(nSections);

for (i = 0; i < nSections; i++)
{
	var splitSection = Section[i].split("%");
	sectionName[i] = splitSection[0];

	var nPages = Math.round((splitSection.length - 1) / 2);
	pageName[i]     = new Array(nPages);
	pageLocation[i] = new Array(nPages);

	for (j = 0; j < nPages; j++)
	{
		pageName[i][j]     = splitSection[1 + 2 * j];
		pageLocation[i][j] = splitSection[2 + 2 * j];
    }
}


//
/* STYLESHEET */
//

// The basic stylesheet...
document.write('<link href="../css.css" rel=stylesheet type=text/css>');

// Link colors changing each week
var date = new Date();
var day = date.getDate();
var n = (Math.floor(day / 7)) % 3;
document.write('<link href="../linkcolours' + n + '.css" rel=stylesheet type=text/css>');

// Extra stylesheets specific to Netscape and IE, needed for background wallpaper
// because Netscape interprets urls relative to the html,
// but IE interprets them relative to the stylesheet.
//if (navigator.appName == "Microsoft Internet Explorer")
//	document.write('<link href="../ieCss.css" rel=stylesheet type=text/css>');
//else if (navigator.appName == "Konqueror")
//	document.write('<link href="../ieCss.css" rel=stylesheet type=text/css>');
//else
// if (navigator.appName == "Netscape")
//	document.write('<link href="../netscapeCss.css" rel=stylesheet type=text/css>');

// TODO: this seems to work now...
document.write('<link href="../ieCss.css" rel=stylesheet type=text/css>');

//
/* HEADER */
//

// load images for buttons
if (document.images) 
	{
	var home_up       = new Image();
	var home_over     = new Image();
	var news_up       = new Image();
	var news_over     = new Image();
	var research_up   = new Image();
	var research_over = new Image();
	var links_up      = new Image();
	var links_over    = new Image();
	var contact_up    = new Image();
	var contact_over  = new Image();	
	var cool_up       = new Image();
	var cool_over     = new Image();	
	home_up.src       = "../all/home1.gif";
	home_over.src     = "../all/home2.gif";
	news_up.src       = "../all/news1.gif";
	news_over.src     = "../all/news2.gif";
	research_up.src   = "../all/research1.gif";
	research_over.src = "../all/research2.gif";	
	links_up.src      = "../all/links1.gif";	
	links_over.src    = "../all/links2.gif";
	contact_up.src    = "../all/contact1.gif";
	contact_over.src  = "../all/contact2.gif";
	cool_up.src       = "../all/cool1.gif";
	cool_over.src     = "../all/cool2.gif";
	}

// define button mouse event functions
function home_over_button() 
	{ if (document.images) 
		{document["home_button"].src = home_over.src}	}
function home_up_button() 
	{ if (document.images) 
		{document["home_button"].src = home_up.src} }

function news_over_button() 
	{ if (document.images) 
		{document["news_button"].src = news_over.src}	}
function news_up_button() 
	{ if (document.images) 
		{document["news_button"].src = news_up.src} }

function research_over_button() 
	{ if (document.images) 
		{document["research_button"].src = research_over.src}	}
function research_up_button() 
	{ if (document.images) 
		{document["research_button"].src = research_up.src} }

function links_over_button() 
	{ if (document.images) 
		{document["links_button"].src = links_over.src}	}
function links_up_button() 
	{ if (document.images) 
		{document["links_button"].src = links_up.src} }

function contact_over_button() 
	{ if (document.images) 
		{document["contact_button"].src = contact_over.src}	}
function contact_up_button() 
	{ if (document.images) 
		{document["contact_button"].src = contact_up.src} }


function cool_over_button() 
	{ if (document.images) 
		{document["cool_button"].src = cool_over.src}	}
function cool_up_button() 
	{ if (document.images) 
		{document["cool_button"].src = cool_up.src} }


// drop down link menu functions
function goPage (newURL) {
// This function is called from the pop-up menus to transfer to
// a different page. Ignore the value returned is a null string
if (newURL != "") {
  // skip the menu dividers and reset the menu selection to default
  if (newURL == "-" ) {
  resetMenu();
  }  
  else { 
  // send page to designated URL
  document.location.href = newURL;
  }
}

}

function resetMenu() {
// resets the menu selection upon entry to this page
document.gomenu.selector.selectedIndex = 0;
}

//
/* HEADER FUNCTION */
//

function header()
{

document.write('<br><div align=center><table><tr>');

// left buttons
document.write('<td width=8%><td width=8%><div align=center><font face="Georgia, Verdana, Arial, Helvetica, sans-serif"><a href="../mb/mb.html" onMouseOver="home_over_button()" onMouseOut="home_up_button()"><img src="../all/home1.gif" alt="Home" width="40" height="40" name="home_button" border=0><br>Home</a></font><td width=8%><div align=center><font face="Georgia, Verdana, Arial, Helvetica, sans-serif"><a href=../news/news.html onMouseOver="news_over_button()" onMouseOut="news_up_button()"><img src="../all/news1.gif" alt="News" width="40" height="40" name="news_button" border=0><br>News</a></font><td width=8%><div align=center><font face="Georgia, Verdana, Arial, Helvetica, sans-serif"><a href="../research/research.html" onMouseOver="research_over_button()" onMouseOut="research_up_button()"><img src="../all/research1.gif" alt="Research" width="40" height="40" name="research_button" border=0><br>Research</a></font>');
document.write('<td width=36%><div align=center align=middle>');


SpriteTitle(document.title.toUpperCase());



document.write('<br><br>');

// drop down link menu
//document.write('<form name="gomenu"><select onChange="goPage(this.options[this.selectedIndex].value)" name="selector">');

//document.write('<option value = "">*</option>');
//for (i = 0; i < sectionName.length; i++)
//{
//	document.write("<option value = '-'>----------------------</option>");
//	document.write("<option value = '-'>" + sectionName[i].toUpperCase() + "</option>");
//	document.write("<option value = '-'>----------------------</option>");
//	for (j = 0; j < pageName[i].length; j++)
//	{
//	document.write("<option value = " + pageLocation[i][j] + ">" + pageName[i][j] + "</option>");
//	}
//}
//document.write('</select></form>');

// right buttons
document.write('<td width=8%><div align=center><font face="Georgia, Verdana, Arial, Helvetica, sans-serif"><a href=../links/links.html onMouseOver="links_over_button()" onMouseOut="links_up_button()"><img src="../all/links1.gif" alt="Links" width="40" height="40" name="links_button" border=0><br>Links</a></font><td width=8%><div align=center><font face="Georgia, Verdana, Arial, Helvetica, sans-serif"><a href="../contact/contact.html" onMouseOver="contact_over_button()" onMouseOut="contact_up_button()"><img src="../all/contact1.gif" alt="Contact" width="40" height="40" name="contact_button" border=0><br>Contact</a></font><td width=8%><div align=center><font face="Georgia, Verdana, Arial, Helvetica, sans-serif"><a href="../trips/trips.html" onMouseOver="cool_over_button()" onMouseOut="cool_up_button()"><img src="../all/cool1.gif" alt="Cool" width="40" height="40" name="cool_button" border=0><br>Trips </a></font><td width=8%>');

document.write('</table>');

// horiz line
document.write('<p><hr>');
document.write('<div align=left>');


}


//
/* FOOTER */
//
function footer()
{
document.write('<hr>');

//if (document.title == 'home')
//document.write('<div align=left><table width = 100%><tr width = 100%><td width=50% align=left>');

//document.write('<p><i>brown-house.com</i>');
document.write('<b>' + document.title + '</b>');
document.write(' &copy  Matthew Brown, <br>');
document.write('<b>Last Modified </b>');
if (Date.parse(document.lastModified) > 0) 
{ document.write(document.lastModified + '<br>');}
document.write('<b>URL: </b>' + document.location.href + '<br>'); 

document.write('<b>Hits:</b> <img alt="Hit counter" align=middle src="http://www.cs.ubc.ca/cgi-bin/nph-counter/mbrown-' + escape(document.title) + '-counter?width=4">');

//if (document.title == 'home')
//{
//randomNumber = Math.round(Math.random() * 37);
//document.write('<div align=right><td width = 50% align=right><div align=right><img src="../matt/' + randomNumber + '.jpg" align=middle></table>');
//}

}


//
/* PICTURE */
//

function picture(location,caption)
{
document.write('<div align=center>');
document.write('<img src="' + location + '">');
document.write('<p><i>' + caption + '</i>');
document.write('<br><br><div align=left>');
}

//
/* LINKPICTURE */
//

function linkpicture(thumb, location, caption)
{
document.write('<div align=center>');
document.write('<a href=' + location + '>');
document.write('<img src="' + thumb + '">');
document.write('</a>');
document.write('<p><i>' + caption + '</i>');
document.write('<br><br><div align=left>');
}

//
/* DOUBLEPICTURE */
//

function doublepicture(src1, src2, caption)
{
document.write('<div align=center><table width=100%><tr>');
document.write('<td width=50% align=center><img src="' + src1 + '">');
document.write('<td width=50% align=center><img src="' + src2 + '">');
document.write('</table>');
document.write('<p><i>' + caption + '</i>');
document.write('<br><br><div align=left>');
}

//
/* TITLE */
//
function title(title)
{
document.write('<h2>' + title + '</h2>');
}

//
/* SUBTITLE */
//
function subtitle(subtitle)
{
document.write('<h3>' + subtitle + '</h3>');
}

//
/* SUBSUBTITLE */
//
function subsubtitle(subsubtitle)
{
document.write('<p><b>' + subsubtitle + '</b>');
}

//
/* TEXT */
//
function text(text)
{
document.write('<div align=justify><p>' + text + '<br><br>');
}

//
/* SPRITETEXT */
//

function ToAscii(ch)
{
var asciiTable = " !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}~";

var ascii = asciiTable.indexOf( ch );

return ( ascii + 32 );
}

function HasTail(ascii)
{
var tailTable    = "00000000000000000000000000000000000000000000000000000000000000000000000100100000110000000100000"

var tail = tailTable.charAt( ascii - 32);

return( tail );
}

function SpriteText (text)
{
	for(i = 0; i < text.length; i++)
	{	
		var ascii = ToAscii( text.charAt( i ) );
		var tail  = HasTail( ascii );

		if (ascii == 47) 
		{ document.write("<br>");}

		else
		{
			document.write('<img ');
 			if ( tail == 1 )
				{ document.write('align=middle '); }
			else
				{ document.write('align=bottom '); }
	
			document.write(' src = "../all/font/' + ascii + '.gif">');
		}
	}
}


function SpriteTitle (title)
{
	var maxChars = 15;
	var brk = 0;

	for (j = 0; j < title.length; j++)
	{
		if ((j - brk > maxChars) && (title.charAt( j ) == ' '))
		{	
			SpriteText( title.substring(brk, j));
			document.write("<br>");	
			brk = j;
		}	
	}	

	SpriteText( title.substring(brk, title.length));
}





